Atom feed of this document
 

 List Networks Details

Verb URI Description
GET /tenants/tenant-id/networks/detail Lists more detailed information about networks configured in Quantum for a given tenant, identified by tenant-id.

Normal Response Code(s): 200

Error Response Code(s): Unauthorized (401), Forbidden (403)

This operation returns the list of all networks currently defined in Quantum; for each network, its identifier and name are returned.

This operation does not require a request body.

 

Example 4.3. Networks List Details Request/Response (XML)

Request:

GET /tenants/XYZ/networks/detail.xml                

Response:

<networks>
    <network 
    	id="8bec1293-16bd-4568-ba75-1f58bec0b4c3"
        name="network_1"/>
    <network 
    	id="2a39409c-7146-4501-8429-3579e03e9b56"
        name="network_2"/>
</networks>

                    

 

Example 4.4. Networks List Details Request/Response (JSON)

Request:

GET /tenants/XYZ/networks/detail.json

Response:

{
    "networks":
         [
          {
           "id": "8bec1293-16bd-4568-ba75-1f58bec0b4c3",
           "name": "network_1"
          },
          {
           "id": "2a39409c-7146-4501-8429-3579e03e9b56",
           "name": "network_2"
          }
         ]
}